Upstream information

CVE-2020-2812 at MITRE

Description

Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Stored Procedure). Supported versions that are affected are 5.6.47 and prior, 5.7.29 and prior and 8.0.19 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. CVSS 3.0 Base Score 4.9 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 4.9
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1171550 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libmysqlclient18 >= 10.0.40.4-29.41.3
  • mariadb >= 10.0.40.4-29.41.3
Patchnames:
HPE-Helion-OpenStack-8-2020-1625
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • mariadb >= 10.2.32-3.29.2
  • mariadb-bench >= 10.2.32-3.29.2
  • mariadb-galera >= 10.2.32-3.29.2
  • mariadb-test >= 10.2.32-3.29.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1711
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libmysqld-devel >= 10.2.32-3.29.2
  • libmysqld19 >= 10.2.32-3.29.2
  • mariadb >= 10.2.32-3.29.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-1711
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libmysqld-devel >= 10.2.32-3.29.2
  • libmysqld19 >= 10.2.32-3.29.2
  • mariadb >= 10.2.32-3.29.2
  • mariadb-client >= 10.2.32-3.29.2
  • mariadb-errormessages >= 10.2.32-3.29.2
  • mariadb-tools >= 10.2.32-3.29.2
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-1711
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • libmariadbd-devel >= 10.4.13-1.1
  • libmariadbd19 >= 10.4.13-1.1
  • mariadb >= 10.4.13-1.1
  • mariadb-client >= 10.4.13-1.1
  • mariadb-errormessages >= 10.4.13-1.1
  • mariadb-tools >= 10.4.13-1.1
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libmysqlclient18 >= 10.0.40.4-2.20.1
  • libmysqlclient18-32bit >= 10.0.40.4-2.20.1
  • mariadb >= 10.2.32-3.28.2
  • mariadb-100 >= 10.0.40.4-2.20.1
  • mariadb-100-errormessages >= 10.0.40.4-2.20.1
  • mariadb-client >= 10.2.32-3.28.2
  • mariadb-errormessages >= 10.2.32-3.28.2
  • mariadb-tools >= 10.2.32-3.28.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1710
SUSE-SLE-SERVER-12-SP4-2020-1798
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libmysqlclient18 >= 10.0.40.4-2.20.1
  • libmysqlclient18-32bit >= 10.0.40.4-2.20.1
  • mariadb >= 10.2.32-3.28.2
  • mariadb-100 >= 10.0.40.4-2.20.1
  • mariadb-100-errormessages >= 10.0.40.4-2.20.1
  • mariadb-client >= 10.2.32-3.28.2
  • mariadb-errormessages >= 10.2.32-3.28.2
  • mariadb-tools >= 10.2.32-3.28.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1710
SUSE-SLE-SERVER-12-SP5-2020-1798
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libmysqlclient-devel >= 10.0.40.4-2.20.1
  • libmysqlclient_r18 >= 10.0.40.4-2.20.1
  • libmysqld-devel >= 10.0.40.4-2.20.1
  • libmysqld18 >= 10.0.40.4-2.20.1
  • mariadb-100 >= 10.0.40.4-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1798
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libmysqlclient-devel >= 10.0.40.4-2.20.1
  • libmysqlclient_r18 >= 10.0.40.4-2.20.1
  • libmysqld-devel >= 10.0.40.4-2.20.1
  • libmysqld18 >= 10.0.40.4-2.20.1
  • mariadb-100 >= 10.0.40.4-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1798
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libmysqlclient_r18 >= 10.0.40.4-2.20.1
  • libmysqlclient_r18-32bit >= 10.0.40.4-2.20.1
  • mariadb-100 >= 10.0.40.4-2.20.1
Patchnames:
SUSE-SLE-WE-12-SP4-2020-1798
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libmysqlclient_r18 >= 10.0.40.4-2.20.1
  • libmysqlclient_r18-32bit >= 10.0.40.4-2.20.1
  • mariadb-100 >= 10.0.40.4-2.20.1
Patchnames:
SUSE-SLE-WE-12-SP5-2020-1798
SUSE OpenStack Cloud 7
  • mariadb >= 10.2.36-19.1
  • mariadb-client >= 10.2.36-19.1
  • mariadb-errormessages >= 10.2.36-19.1
  • mariadb-galera >= 10.2.36-19.1
  • mariadb-tools >= 10.2.36-19.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-3625
SUSE OpenStack Cloud 8
  • libmysqlclient18 >= 10.0.40.4-29.41.3
  • mariadb >= 10.0.40.4-29.41.3
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1625
SUSE OpenStack Cloud 9
  • mariadb >= 10.2.32-3.28.2
  • mariadb-galera >= 10.2.32-3.28.2
Patchnames:
SUSE-OpenStack-Cloud-9-2020-1710
SUSE OpenStack Cloud Crowbar 8
  • libmysqlclient18 >= 10.0.40.4-29.41.3
  • mariadb >= 10.0.40.4-29.41.3
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1625
SUSE OpenStack Cloud Crowbar 9
  • mariadb >= 10.2.32-3.28.2
  • mariadb-galera >= 10.2.32-3.28.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-1710
openSUSE Leap 15.1
  • libmysqld-devel >= 10.2.32-lp151.2.15.1
  • libmysqld19 >= 10.2.32-lp151.2.15.1
  • libmysqld19-debuginfo >= 10.2.32-lp151.2.15.1
  • mariadb >= 10.2.32-lp151.2.15.1
  • mariadb-bench >= 10.2.32-lp151.2.15.1
  • mariadb-bench-debuginfo >= 10.2.32-lp151.2.15.1
  • mariadb-client >= 10.2.32-lp151.2.15.1
  • mariadb-client-debuginfo >= 10.2.32-lp151.2.15.1
  • mariadb-debuginfo >= 10.2.32-lp151.2.15.1
  • mariadb-debugsource >= 10.2.32-lp151.2.15.1
  • mariadb-errormessages >= 10.2.32-lp151.2.15.1
  • mariadb-galera >= 10.2.32-lp151.2.15.1
  • mariadb-test >= 10.2.32-lp151.2.15.1
  • mariadb-test-debuginfo >= 10.2.32-lp151.2.15.1
  • mariadb-tools >= 10.2.32-lp151.2.15.1
  • mariadb-tools-debuginfo >= 10.2.32-lp151.2.15.1
Patchnames:
openSUSE-2020-870


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mariadb Released
SUSE Linux Enterprise 15-SP1 Module for Server Applications mariadb Released
SUSE Linux Enterprise High Performance Computing 12 SP4 mariadb Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mariadb-100 Released
SUSE Linux Enterprise Server 12 SP4 mariadb Released
SUSE Linux Enterprise Server 12 SP4 ESPOS mariadb-100 Released
SUSE Linux Enterprise Server 12 SP4 LTSS mariadb-100 Released
SUSE Linux Enterprise Server 12 SP5 mariadb Released
SUSE Linux Enterprise Server 12 SP5 mariadb-100 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mariadb-100 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mariadb-100 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 mariadb-100 Released
SUSE Linux Enterprise Workstation Extension 12 mariadb-100 Released
SUSE OpenStack Cloud 7 mariadb Released
SUSE OpenStack Cloud 8 mariadb Released
SUSE OpenStack Cloud 9 mariadb Released
SUSE OpenStack Cloud 9 mariadb-100 Released
SUSE OpenStack Cloud Crowbar 8 mariadb Released
SUSE OpenStack Cloud Crowbar 9 mariadb Released
SUSE OpenStack Cloud Crowbar 9 mariadb-100 Released